apiVersion: apps/v1
kind: Deployment
metadata:
  name: beat
  labels:
    deployment: beat
spec:
  selector:
    matchLabels:
      pod: beat
  replicas: 1
  template:
    metadata:
      labels:
        pod: beat
    spec:
      containers:
        - name: beat-container
          image: tangibleai/delvin-staging:latest
          imagePullPolicy: Always
          resources:
            requests:
              cpu: 100m
              memory: 100Mi
            limits:
              cpu: 500m
              memory: 500Mi
          command: [ "/bin/bash" ]
          args: ["-c", "source /opt/venv/bin/activate && /app/backend/scripts/start_beat.sh"]
          envFrom:
            - secretRef:
                name: dotenv-k8s-staging
